Package org.jCharts.axisChart

# Class ClusteredBarChart

java.lang.Object
org.jCharts.axisChart.ClusteredBarChart

abstract class ClusteredBarChart extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClusteredBarChart()`

## Method Summary

Modifier and Type
Method
Description
`private static void`
`horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, ClusteredBarChartProperties clusteredBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingX, float startingY, float barWidth)`
`(package private) static void`
`render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)`
Draws the chart uses Rectangle2D......keep having rounding problems.
`private static void`
`verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, BarChartProperties barChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float barGroupStartingX, float startingY, float barWidth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClusteredBarChart

ClusteredBarChart()

## Method Details

### render

static void render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)
Draws the chart uses Rectangle2D......keep having rounding problems.

Parameters:
  `axisChart` -
  `iAxisChartDataSet` -

### horizontalPlot

private static void horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, ClusteredBarChartProperties clusteredBarChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingX, float startingY, float barWidth)

Parameters:
  `axisChart` -
  `iAxisChartDataSet` -
  `clusteredBarChartProperties` -
  `dataAxisProperties` -
  `g2d` -
  `rectangle` -
  `startingX` -
  `startingY` -
  `barWidth` -

### verticalPlot

private static void verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, BarChartProperties barChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float barGroupStartingX, float startingY, float barWidth)

Parameters:
  `axisChart` -
  `iAxisChartDataSet` -
  `barChartProperties` -
  `dataAxisProperties` -
  `g2d` -
  `rectangle` -
  `startingY` -